%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   The following function plot the exact solution and approxi-
%	mated solution with given numerical scheme of equation sys-
%	tem (2.3).
%   
%
%   Function declaration:
%   function SplittingMethod
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



function SplittingMethod

% Constants and pre-defined functions initializations


% Frequency

omega = ;

% Initial value
x0 = ;

% End time. Start time is t=0
T0 = ;

% Number of steps
N = ;

% Step size
dt = T0/N;

% Time grid
tspan = 0:dt:T0;

% Exact solution
phi_exact = @(t,x0) ;

% Approximated solution array initialization

sol = zeros(2,N+1);
sol(:,1) = x0;

% Your initializations


% Iteration for approximated solution array
for i=
    
end

% Exact solution array
% Please notice here input parameter 'tspan' is an array.
% Your definition for phi_exact should be able to accept an array as input parameter.

sol_exact = phi_exact(tspan,x0);


% Plotting

plot(tspan,sol(1,:), 'ro', tspan,sol_exact(1,:), 'r-');
legend('Approximated p(t)','Exact p(t)');

print -dpdf 'p2Exact1.pdf'

figure
plot(tspan, sol(2,:), 'go', tspan, sol_exact(2,:), 'g-');
legend('Approximated q(t)','Exact q(t)');

print -dpdf 'p2Exact2.pdf'

end